<div style="margin-top: 20px;">
    <div class="container">

        <!-- PENCARIAN -->
        <div style="margin-top: 20px;">
            <h5>
                <!-- <span jhiTranslate="mpmApp.vehicleSalesOrder.home.title">Vehicle Sales Orders</span> -->
                <span >request faktur pajak</span>
            </h5>
            <!-- <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="true">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">Cabang Dealer</label>
                                <select class="form-control" [(ngModel)]="selectedLeasing">
                                    <option value="1"></option>
                                </select>
                            </div>
                            <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.tglVso">Tanggal VSO</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                    dateFormat="dd-M-yy" 
                                                    [showIcon]="true"
                                                    [(ngModel)]="tgl1"
                                                    ></p-calendar>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                    dateFormat="dd-M-yy" 
                                                    [showIcon]="true"
                                                    [(ngModel)]="tgl2"
                                                    ></p-calendar>
                                            </div>
                                        </div>
                                    </div>
                                </div>
    
                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">Nama Customer</label>
                                <input type="text" class="form-control" placeholder="Sales">
                            </div>
                        </div>
                        <div class="col-md-6">

                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">{{'mpmApp.vehicleSalesOrder.statusUnit'|translate}}</label>
                                <input type="text" class="form-control" placeholder="Status Unit">
                            </div>

                            <div class="form-group">
                                <label class="form-control-label" for="field_status_vso">No IVU</label>
                                <select class="form-control" id="field_status_vso" name="status">
                                    <option [ngValue]="null"></option>
                                </select>

                            </div>
                        </div>                        
                            <div class="ui-g-12 ">                
                                <div class="ui-g-4">
                                    <button pButton type="button" label="FILTER"  class="ui-button-danger"></button>
                                </div>                
                            </div>    
                    </div>
                </p-accordionTab>
            </p-accordion>
             -->
            <p-dataTable
                [value]="billingItems"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idBillingItem"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>
                <p-column header="No IVU" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.billingNumber}}
                    </ng-template>
                </p-column>

                <p-column header="Tanggal IVU"  >
                    <ng-template let-rowData="rowData" pTemplate="body">                       
                        {{rowData.dateCreate|date:'dd-MMM-yyyy'}}
                    </ng-template>
                </p-column>

                <p-column header="Kode Cabang" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idInternal}}
                    </ng-template>
                </p-column>

                <p-column header="Nama Customer"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.name}}
                    </ng-template>
                </p-column>

                <p-column header="Nilai Off The Road"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.unitPrice}}
                    </ng-template>
                </p-column>

                <p-column header="Status"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{getStatusMotor(rowData.salesUnitRequirement.productId)}} -->
                    </ng-template>
                </p-column>

                <p-column header="Notes"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}"  [style]="{'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit" class="flat-button"
                            [routerLink]="['../request-faktur-pajak/'+ rowData.idBillingItem + '/edit']">Detail</button>
                    </ng-template>
                </p-column>

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
